Subject: Re: [EXT] Re: [PATCH net v3] octeontx2-af: Initialize maps.

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Feb 2024 08:27:17 -0800

On Thu, 1 Feb 2024 09:35:15 +0000 Ratheesh Kannoth wrote:
> > The use of bitmap_zalloc()/bitmap_free() looks good to me.
> > But for the kmalloc_array(..., GFP_KERNEL | __GFP_ZERO) cases I think
> > kcalloc() is the way to go.  
> Kcalloc() is a wrapper around kmalloc_array().  Why do you think kcalloc()
> Is better ?

AFAICT this is not the first time you're questioning Simon's obviously
correct feedback. Are you genuinely asking for an explanation why
kcalloc() is better than kmalloc_array()? It's an equivalent to 
the standard C function, calloc().

The reviewers are the most valuable part of this community, we will 
not take frustrating them lightly :|